Package org.lwjgl.util

# Class XPMFile

java.lang.Object
org.lwjgl.util.XPMFile

public class XPMFile extends Object

NOTE: This simple XPM reader does not support extensions nor hotspots

Version:
  $Revision$ $Id$
Author:
  Brian Matzon invalid input: '<'brian@matzon.dk>, Jos Hirth

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getBytes()`
`int`
`getHeight()`
`int`
`getWidth()`
`static XPMFile`
`load(InputStream is)`
Loads the XPM file
`static XPMFile`
`load(String file)`
Loads the XPM file
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### load

public static XPMFile load(String file) throws IOException
Loads the XPM file

Parameters:
  `file` - path to file
Returns:
  XPMFile loaded, or exception
Throws:
  `IOException` - If any IO exceptions occurs while reading file

### load

public static XPMFile load(InputStream is)
Loads the XPM file

Parameters:
  `is` - InputStream to read file from
Returns:
  XPMFile loaded, or exception

### getHeight

public int getHeight()

Returns:
  the height of the image.

### getWidth

public int getWidth()

Returns:
  the width of the image.

### getBytes

public byte[] getBytes()

Returns:
  The data of the image.

### main

public static void main(String[] args)

Parameters:
  `args` -